<?php
/*
 * Plugin name: Grimlock for WPML
 * Plugin URI:  http://www.themosaurus.com
 * Description: Adds boilerplate code to seed a Grimlock add-on.
 * Author:      Themosaurus
 * Author URI:  http://www.themosaurus.com
 * Version:     1.0.2
 * License:     GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: grimlock-wpml
 * Domain Path: /languages
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'GRIMLOCK_WPML_VERSION',         '1.0.2' );
define( 'GRIMLOCK_WPML_PLUGIN_FILE',     __FILE__ );
define( 'GRIMLOCK_WPML_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
define( 'GRIMLOCK_WPML_PLUGIN_DIR_URL',  plugin_dir_url( __FILE__ ) );

// Initialize update checker
require 'libs/plugin-update-checker/plugin-update-checker.php';
Puc_v4_Factory::buildUpdateChecker(
	'http://files.themosaurus.com/grimlock-wpml/version.json',
	__FILE__,
	'grimlock-wpml'
);

/**
 * Load plugin.
 */
function grimlock_wpml_loaded() {
	require_once 'inc/class-grimlock-wpml.php';

	global $grimlock_wpml;
	$grimlock_wpml = new Grimlock_WPML();

	do_action( 'grimlock_wpml_loaded' );
}
add_action( 'grimlock_loaded', 'grimlock_wpml_loaded' );

/**
 * Load BuddyPress Multilingual add on
 */
function grimlock_wpml_buddypress_multilingual_loaded() {
	if ( function_exists( 'bpml_init' ) ) {
		require_once 'inc/buddypress-multilingual/class-grimlock-wpml-buddypress-multilingual.php';
		global $grimlock_wpml_buddypress_multilingual;
		$grimlock_wpml_buddypress_multilingual = new Grimlock_WPML_BuddyPress_Multilingual();
	}
}
add_action( 'grimlock_wpml_loaded', 'grimlock_wpml_buddypress_multilingual_loaded' );
